> ## Documentation Index
> Fetch the complete documentation index at: https://docs.ai.relyt.cn/llms.txt
> Use this file to discover all available pages before exploring further.

# Modify session

> 修改会话配置。



## OpenAPI

````yaml post /v2/team/sessions/{id}
openapi: 3.0.1
info:
  title: Team Open API Version 2 中文版本
  description: ''
  version: 1.0.0
servers:
  - url: https://app.ai.relyt.cn/app/api
    description: 体验环境
security:
  - apikey-header-x-pd-api-key: []
tags:
  - name: Session
  - name: Dataset
  - name: Data source
  - name: File
  - name: Job
paths:
  /v2/team/sessions/{id}:
    post:
      tags:
        - Session
      summary: Modify session
      description: 修改会话配置。
      parameters:
        - name: id
          in: path
          description: >-
            要修改的会话 ID。


            如需查看项目中存在的会话，请调用 [GET
            /v2/team/sessions](/api-reference/list-sessions) 接口。
          required: true
          schema:
            type: string
        - name: x-pd-external-trace-id
          in: header
          description: >-
            您本地系统中设置的 Trace ID，至多支持 128 个字符。当请求发生错误时，可以将此 ID 提供给 Relyt AI
            团队，协助进行故障排查。
          required: false
          example: ''
          schema:
            type: string
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                name:
                  type: string
                  description: 会话名称，至多可支持 128 个字符。如超过此限制，名称将被截断展示。
                output_language:
                  type: string
                  enum:
                    - AUTO
                    - EN
                    - ES
                    - AR
                    - PT
                    - ID
                    - JA
                    - RU
                    - HI
                    - FR
                    - DE
                    - VI
                    - TR
                    - PL
                    - IT
                    - KO
                    - ZH-CN
                    - ZH-TW
                  default: AUTO
                  description: >-
                    Relyt AI 的回复语言。例如，当设置为 `EN` 时，则 Relyt AI
                    使用英语进行回复。如不指定，将使用默认值 `AUTO`，即 Relyt AI
                    会根据提示词自动选择合适的回复语言。可选值包括：


                    - `AUTO`：根据提示词自动识别

                    - `EN`：英语

                    - `ES`：西班牙语

                    - `AR`：阿拉伯语

                    - `PT`：葡萄牙语

                    - `ID`：印尼语

                    - `JA`：日语

                    - `RU`：俄语

                    - `HI`：印地语

                    - `FR`：法语

                    - `DE`：德语

                    - `VI`：越南语

                    - `TR`：土耳其语

                    - `PL`：波兰语

                    - `IT`：意大利语

                    - `KO`：韩语

                    - `ZH-CN`：简体中文

                    - `ZH-TW`：繁体中文
                job_mode:
                  type: string
                  description: >-
                    任务类型。可选值包括：


                    - `AUTO`：Relyt AI 根据你的提问进行意图判断，决定该任务为数据分析任务或信息检索任务。

                    - `DATA_ANALYTICS`：Relyt AI 会根据你的输入进行数据分析。


                    如不指定，则采用默认值 `AUTO`。如果您明确地想要进行数据分析，我们建议您将值设置为
                    **DATA_ANALYTICS**，从而 Relyt AI 可以跳过意图识别步骤，加快问题处理速度。
                  enum:
                    - AUTO
                    - DATA_ANALYTICS
                  default: DATA_ANALYTICS
                max_contextual_job_history:
                  type: integer
                  description: >-
                    作为下一个任务上下文的历史任务数，取值范围为 `0` 到 `10`，默认值为 `10`。如设置为
                    `0`，则当前任务将不使用任何历史任务作为上下文信息。
                user_id:
                  type: string
                  description: 用户 ID，即您在组织中的唯一身份标识。
              required:
                - name
                - user_id
            examples:
              '1':
                value:
                  name: hello
                  output_language: EN
                  job_mode: DATA_ANALYSIS
                  max_contextual_job_history: 3
                  user_id: tmm-ddsdfsfgs
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                type: object
                properties:
                  code:
                    type: integer
                    description: >-
                      状态码。**0** 表示操作成功。其它值则表示操作失败。如需进行错误排查，请参阅
                      [错误码](/introduction/error-codes)。
                  data:
                    type: object
                    properties: {}
                    description: 操作成功则返回 null。
                required:
                  - data
                  - code
          headers:
            x-pd-trace-id:
              example: ''
              required: true
              description: Relyt AI 返回的 Trace ID。当请求发生错误时，可以将此 ID 提供给 Relyt AI 团队，协助进行故障排查。
              schema:
                type: string
      deprecated: false
      security:
        - apikey-header-x-pd-api-key: []
components:
  securitySchemes:
    apikey-header-x-pd-api-key:
      type: apiKey
      in: header
      name: x-pd-api-key

````